%define name libytnef
%define version 1.5
%define release %mkrel 8

%define major 0
%define libname %mklibname ytnef %{major}
%define develname %mklibname -d ytnef

Summary: TNEF Stream Parser Library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/ytnef/%{name}-%{version}.tar.bz
Patch0: libytnef-bufferoverflow.patch
License: GPLv2+
Group: System/Libraries
Url: http://ytnef.sourceforge.net/

%description
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{libname}
Summary: TNEF Stream Parser shared library
Group: System/Libraries

%description -n %{libname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{develname}
Summary: TNEF Stream Parser library
Group: Development/C
Requires: %{libname} = %{version}
Provides: libytnef-devel = %{version}-%{release}

%description -n %{develname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libname}
%{_libdir}/libytnef.so.%{major}*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libytnef.so
%{_libdir}/libytnef.a
%{_libdir}/libytnef.la
%{_includedir}/*.h


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.5-8.mga4
+ Revision: 507500
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5-7.mga3
+ Revision: 358731
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 luigiwalser <luigiwalser> 1.5-6.mga3
+ Revision: 274990
- add patch from Fedora to fix potential buffer overflow

* Sun Jan 23 2011 pterjan <pterjan> 1.5-5.mga1
+ Revision: 35423
- Drop old stuff
- imported package libytnef


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-5mdv2011.0
+ Revision: 602625
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-4mdv2010.1
+ Revision: 520974
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5-3mdv2010.0
+ Revision: 425976
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.5-2mdv2009.0
+ Revision: 223093
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2008.1
+ Revision: 103034
- import libytnef


* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2008.1
- initial package
